<section class="nevis-auth-create-account"
         [ngClass]="{'grid-indent-google-captcha': !isCaptchaValid,
                     'grid-indent': isCaptchaValid}">

  <common-google-captcha [ngClass]="{'visually-hidden': isCaptchaValid}"
                         [captchaTxt]="app.i18n('captcha_title', i18n)"
                         [errorMessage]="errorMessage"
                         [showOverlay]="isLocked"
                         (googleResponse)="commonService.googleCaptchaValidateExchanger.runGoogleCaptchaCheck(this, $event)"></common-google-captcha>

  <section class="nevis-auth-create-account__form  dwfe-form" spellcheck="false" *ngIf="isCaptchaValid">

    <dwfe-form-control-input-email class="dwfe-form__item"
                                   [labelText]="app.i18n('email', i18n)"
                                   [externalBackendValidator]="nevisService.backendValidatorEmail.bind(nevisService)"
                                   [hintText]="app.i18n('password_will_be_sent', i18n)"
                                   (takeControl)="cEmail=$event"
                                   #refEmail></dwfe-form-control-input-email>

    <dwfe-form-control-checkbox class="nevis-auth-create-account__chechbox  dwfe-form__item"
                                [labelText]="app.i18n('i_accept', i18n)"
                                [labelLinkText]="app.i18n('terms', i18n)"
                                [labelLinkValue]="'/terms-of-use'"
                                (takeControl)="cTermsOfUse=$event"></dwfe-form-control-checkbox>

    <dwfe-form-control-checkbox class="nevis-auth-create-account__chechbox  dwfe-form__item  standard-indent"
                                [labelText]="app.i18n('i_accept', i18n)"
                                [labelLinkText]="app.i18n('privacy', i18n)"
                                [labelLinkValue]="'/privacy-policy'"
                                (takeControl)="cPrivacyPolicy=$event"></dwfe-form-control-checkbox>

    <dwfe-action-ok [errorMessage]="errorMessage"
                    [showErrorMessage]="errorMessage !== ''"
                    [isDisabled]="isDisabledBtnPerformCreateAccount()"
                    (takeClick)="performCreateAccount()"></dwfe-action-ok>

    <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

  </section>

  <dwfe-dialog-simple *ngIf="showCreatedNewAccScreen">
    <div class="nevis-auth-create-account__complete-wrap  grid-indent">
      <p class="dwfe-txt-successful">{{app.i18n('was_success_created', i18n)}}</p>
      <p class="dwfe-txt-warning">{{app.i18n('password_we_sent', i18n)}}</p>
      <p class="dwfe-txt-warning">{{app.i18n('check_email_box', i18n)}}</p>
      <button class="nevis-auth-create-account__complete-btn  dwfe-form__btn  dwfe-form__btn--attraction"
              mat-raised-button
              type="button"
              (click)="goToLoginPage()">
        {{app.i18n('go_to_login', i18n)}}
      </button>
    </div>
  </dwfe-dialog-simple>

</section>
